snapping allows to snap non displayed legend classes 

2017-07-10 04:30 PM - Regis Haubourg

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: Digitising

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24737

Description

When unchecking visibility of some classes for categorized or rule based renderer, snapping is still possible even though those features

are not visible on map canvas. 

This is annoying for some users playing a lot with classes visibility.

Thinking of it, fixing it might not be so direct, as it will imply rebuilding the snapping cache a lot more often.

And currently, it is also possible to keep snapping on an unchecked layer if it is still checked in snapping advanced dock.

Any opinion here?

History

#1 - 2017-07-10 04:32 PM - Regis Haubourg

- Subject changed from snapping allons to snap non displayed legend classes  to snapping allows to snap non displayed legend classes 

#2 - 2017-07-10 08:26 PM - Martin Dobias

Fixing that may not require rebuilding of snapping index - snapping classes allow use of custom filters, so one could create a filter that would skip any

matches that belong to invisible features...

#3 - 2017-07-10 09:30 PM - Regis Haubourg

Good news!

Do you think that could be considered as a bugfix for backporting to 2.18 ?

#4 - 2017-07-10 09:45 PM - Martin Dobias

Not really, I think the amount of required changes would be larger than what can be still considered as a bug fix safe for backporting...

#5 - 2018-03-15 01:12 PM - Regis Haubourg

- Assignee set to Martin Dobias

- Affected QGIS version changed from 2.18.10 to 3.0.0

Work will start soon on that. Thanks a lot to the funder!
#6 - 2018-03-21 10:20 AM - Luigi Pirelli

I can't talk from a user point of view, but I feel that snapping should't be related with the fact that the layer is rendered or not (you may thing to snapToGrid,

where grid is not a layer and nor is rendered).

If, from the usability point of view, this is the expected behaviour, I would expect that it would be configurable.

IMHO it's not a bug, but a feature.

#7 - 2018-06-05 02:44 PM - Loïc BARTOLETTI

Done in master https://github.com/qgis/QGIS/pull/6750

#8 - 2018-06-05 02:52 PM - Regis Haubourg

- Resolution set to fixed/implemented

- Status changed from Open to Closed
